Skip to content

AutomationsController_triggerCycle

POST
/api/automations/action/triggerCycle
curl --request POST \
--url https://api.streams-ai.com/api/automations/action/triggerCycle \
--header 'Content-Type: application/json' \
--data '{ "payload": { "inboundFieldValues": { "streamId": { "value": "example" }, "cycleId": { "value": "example" }, "triggerName": "example", "prompt": "example", "promptText": "example", "triggerAsUser": "example", "workflowCreator": { "userId": "example", "id": "example", "email": "hello@example.com" } }, "inputFields": { "additionalProperty": "example" }, "credentialsValues": { "streams_access_token": "example" }, "recipeId": "example", "integrationId": "example" } }'
Media typeapplication/json
object
payload
object
inboundFieldValues
object
streamId
Any of:
string
>= 1 characters
cycleId
Any of:
string
>= 1 characters
triggerName
string
prompt
string
promptText
string
triggerAsUser
workflowCreator
object
userId
Any of:
string
id
Any of:
string
email
string format: email
/^(?:[A-Za-z0-9_'+\-]+\.)*[A-Za-z0-9_'+\-]*[A-Za-z0-9_+-]@(?:[A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$/
key
additional properties
key
additional properties
inputFields
object
key
additional properties
credentialsValues
object
streams_access_token
key
additional properties
recipeId
integrationId
key
additional properties
Examplegenerated
{
"payload": {
"inboundFieldValues": {
"streamId": {
"value": "example"
},
"cycleId": {
"value": "example"
},
"triggerName": "example",
"prompt": "example",
"promptText": "example",
"triggerAsUser": "example",
"workflowCreator": {
"userId": "example",
"id": "example",
"email": "hello@example.com"
}
},
"inputFields": {
"additionalProperty": "example"
},
"credentialsValues": {
"streams_access_token": "example"
},
"recipeId": "example",
"integrationId": "example"
}
}